%define oname   net-protocol

Name:       ruby-%{oname}
Version:    0.2.2
Release:    %mkrel 2
Summary:    The abstruct interface for net-* client
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/ruby/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The abstruct interface for net-* client.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.2.2-2.mga10
+ Revision: 2222126
- Mageia 10 Mass Rebuild

* Mon Apr 08 2024 pterjan <pterjan> 0.2.2-1.mga10
+ Revision: 2055487
- Update to 0.2.2

* Wed Jul 20 2022 bcornec <bcornec> 0.1.3-1.mga9
+ Revision: 1869611
- Adds ruby-protocol for vagrant 2.2.19
- Created package structure for ruby-net-protocol.

